Commits on Oct 19, 2015
  1. @geemus

    Merge pull request #3720 from eucher/opennebula_flavor_raw

    change get_raw replacement regex from />/ to /=>/ for output XML
    geemus committed Oct 19, 2015
  2. @geemus

    Merge pull request #3713 from dhague/master

    [openstack] Make sure that Identity v3 authentication uses a v3 endpoint
    geemus committed Oct 19, 2015
  3. @geemus

    Merge pull request #3716 from martinb3/default_nosurprises_rackspace

    Ensure root user behaves like Rackspace defaults
    geemus committed Oct 19, 2015
Commits on Oct 16, 2015
  1. @geemus

    Merge pull request #3658 from adecarolis/master

    Add boot_volume_size to RS compute_v2 Server Create
    geemus committed Oct 16, 2015
Commits on Oct 14, 2015
  1. add RAW tests

    Cherdancev Evgeni committed Oct 14, 2015
Commits on Oct 13, 2015
  1. change get_raw replacement regex from />/ to /=>/ for output XML

    Cherdancev Evgeni committed Oct 13, 2015
Commits on Oct 5, 2015
  1. @martinb3

    Ensure root user behaves like Rackspace defaults

    Swap the logic for `:no_passwd_lock` making it `:passwd_lock`. Per #3715, we really should make our defaults the same as Rackspace's. Because so many projects rely on the fog library, and can't all add this option to pass through, we should default to the same behaviors you'd get on vanilla Rackspace.
    
    This change is backwards compatible, and closer to the default Rackspace build, but still warns those who have explicitly set :no_passwd_lock to any specific value.
    
    Fixes #3715. RE: #2494.
    martinb3 committed Oct 5, 2015
Commits on Oct 2, 2015
  1. @plribeiro3000

    Merge pull request #3712 from dengqinsi/master

    Fog support new provider: aliyun
    plribeiro3000 committed Oct 2, 2015
  2. @dhague
  3. @dhague

    [openstack] Make sure that Identity v3 authentication uses a v3 endpoint

    Also, some IDv3 test refactoring - extract strings to constants and allow OS_AUTH_SERVICE env var
    to set the openstack_service_type option (e.g. to identityv3).
    dhague committed Sep 28, 2015
  4. @dengqinsi
Commits on Oct 1, 2015
  1. @nirvdrum

    Merge pull request #3708 from endzyme/patch-1

    Added case to reboot gracefully if toolsOld
    nirvdrum committed Sep 30, 2015
Commits on Sep 30, 2015
  1. @plribeiro3000

    Merge pull request #3709 from fog/google-remove-1.9.3

    Require fog-google versions compatible w/ > 1.9.3
    plribeiro3000 committed Sep 30, 2015
  2. @icco

    update fog-google dep to > 0.1.1

    icco committed Sep 30, 2015
  3. @icco
Commits on Sep 29, 2015
  1. @tokengeek

    Don't allow Travis failures for Ruby 2.2

    This was added at some point in the past but we don't want actually want
    that behaviour otherwise errors may creep in.
    tokengeek committed Sep 29, 2015
  2. @endzyme

    Added case to reboot gracefully if toolsOld

    https://www.vmware.com/support/developer/converter-sdk/conv50_apireference/vim.vm.GuestInfo.ToolsStatus.html
    
    Having a response of tools_state == toolsOld is ok in my opinion since tools functionality doesn't change drastically revision to revision. 
    
    Currently vSphere will force stop your assets if your vmware tools aren't up to date (even by one small revision). This behaviour is not optimal. 
    
    The `tools_running?` check is only used in one place, the stop command in server.rb.
    endzyme committed Sep 29, 2015
  3. @plribeiro3000

    Merge pull request #3707 from fog/remove_ruby_19_support

    Remove support for Ruby 1.9.3
    plribeiro3000 committed Sep 29, 2015
  4. @tokengeek

    Remove support for Ruby 1.9.3

    We had hoped to support Ruby 1.9.3 a bit longer even past its official
    EOL but with our dependencies starting to drop support for 1.9 we end up
    with several problems.
    
    * Either we lock down our dependencies and block applications from using
      newer gems which is bad. We tried this with `nokogiri` for 1.8 and
      that prevented updates to Rails 4.0
    * We could support 1.9 via the dependencies in a version dependent
      `Gemfile` but for each dependency that breaks support we have to push
      out changes to every fog repo with the new dependency.
    
    Given the age and status of Ruby 1.9, we have decided to drop support
    for Ruby 1.9.3 now along with 1.8 and 1.9.2.
    
    If you are on an application that requires 1.9.3 and `fog` then you
    should lock your dependencies to the `1.x` gems.
    tokengeek committed Sep 29, 2015
  5. @geemus

    Merge pull request #3698 from bryanl/do_api_v2

    support DigitalOcean v2 compute API
    geemus committed Sep 29, 2015
  6. @geemus

    Merge pull request #3703 from tunglam14/develop

    [openstack] List server actions fix
    geemus committed Sep 29, 2015
Commits on Sep 28, 2015
  1. @bryanl
  2. @geemus

    Merge pull request #3701 from b0ric/master

    fix linode kernel selection bug
    geemus committed Sep 28, 2015
  3. @tokengeek

    Merge pull request #3706 from fog/update_dependencies

    Limit 1.9.3 tests to use older Net::SSH
    tokengeek committed Sep 28, 2015
  4. @tokengeek

    Limit 1.9.3 tests to use older Net::SSH

    Net::SSH 3.0 dropped support for Ruby 1.9.3 so older Rubies should
    declare the dependency to avoid bundling problems.
    tokengeek committed Sep 28, 2015
Commits on Sep 25, 2015
  1. [openstack] List server actions fix

    Fix list server action endpoint following the doc http://developer.openstack.org/api-ref-compute-v2-ext.html#listActions
    Update Mock data
    Dang Tung Lam committed Sep 25, 2015
  2. fix kernel selection bug

    Alex Borisov committed Sep 25, 2015
Commits on Sep 23, 2015
  1. @grossjo

    forgetful save of a file

    grossjo committed Sep 23, 2015
  2. @grossjo

    fixing merge conflicts

    grossjo committed Sep 23, 2015
  3. @grossjo
  4. @grossjo
  5. @grossjo
  6. @grossjo
  7. @bryanl

    support DigitalOcean v2 compute API

    This commit adds support for the DigitalOcean v2 API. It implements all the compute actions.
    bryanl committed Sep 23, 2015
Commits on Sep 22, 2015
  1. @geemus

    Merge pull request #3697 from dhague/master

    [openstack] Glance v2 API
    geemus committed Sep 22, 2015